import cx from 'classnames';
import PropTypes from 'prop-types';
import { BASE_CLASS_ICON_COMPONENT, BASE_CLASS_ICON_COMPONENT_HANDLER, BASE_CLASS_ICON_COMPONENT_LEFT, BASE_CLASS_ICON_COMPONENT_RIGHT, BASE_CLASS_ICON_CONTENT_COMPONENT } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var InputIcons = function InputIcons(_ref) {
  var _cx, _cx2;
  var leftIcon = _ref.leftIcon,
    rightIcon = _ref.rightIcon,
    onClickLeftIcon = _ref.onClickLeftIcon,
    onClickRightIcon = _ref.onClickRightIcon,
    children = _ref.children;
  var handleLeftClick = function handleLeftClick(event) {
    onClickLeftIcon && onClickLeftIcon(event);
  };
  var handleRightClick = function handleRightClick(event) {
    onClickRightIcon && onClickRightIcon(event);
  };
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [leftIcon && /*#__PURE__*/_jsx("span", {
      className: cx(BASE_CLASS_ICON_COMPONENT, BASE_CLASS_ICON_COMPONENT_LEFT),
      onClick: handleLeftClick,
      children: /*#__PURE__*/_jsx("span", {
        className: cx(BASE_CLASS_ICON_CONTENT_COMPONENT, (_cx = {}, _cx[BASE_CLASS_ICON_COMPONENT_HANDLER] = onClickLeftIcon, _cx)),
        children: leftIcon
      })
    }), children, rightIcon && /*#__PURE__*/_jsx("span", {
      className: cx(BASE_CLASS_ICON_COMPONENT, BASE_CLASS_ICON_COMPONENT_RIGHT),
      onClick: handleRightClick,
      children: /*#__PURE__*/_jsx("span", {
        className: cx(BASE_CLASS_ICON_CONTENT_COMPONENT, (_cx2 = {}, _cx2[BASE_CLASS_ICON_COMPONENT_HANDLER] = onClickRightIcon, _cx2)),
        children: rightIcon
      })
    })]
  });
};
export default InputIcons;